<template>
  <dibs-layout layout="two-columns" :video="video">
    <template #aside-header>
      <dibs-elem-back to="/index2" />
    </template>
    <template #aside-title> Je sécurise ma connection via SwissID </template>
    <template #content>
      <h2>
        C'est quoi <dibs-img alt="SwissID" file="logos/SwissID_big.png" /> ?
      </h2>
      <p>
        SwissID est un standard électronique Suisse d'identité sécurisée
        permettant une authentification sécurisée. Ce standard est soutenu par
        la Confédération et la Poste suisse.
      </p>
      <dibs-utils-push-up />
      <dibs-input-checkbox :checked="false">J’accepte les</dibs-input-checkbox>
      <a to="#" @click="$refs['modal-cgv'].open()">
        conditions d’utilisation des mes données</a
      >
      <dibs-elem-btn
        label="J’ai déja un compte SwissID"
        goto="avs"
        picto="forward"
      />
      <dibs-elem-btn label="Je n’ai pas de compte" goto="avs" picto="forward" />
      <dibs-modal ref="modal-cgv">
        <template #title>Conditions d’utilisation de mes données</template>
        <template #content>
          <!-- eslint-disable-next-line vue/no-v-html -->
          <div v-html="cgv" />
        </template>
      </dibs-modal>
    </template>
  </dibs-layout>
</template>

<script>
export default {
  name: 'IndexPage',
  layout: 'dibs',
  data() {
    return {
      video: {
        src: 'https://www.youtube.com/embed/e_-afFNhDJY',
        title: "Vidéo d'exemple HEG",
      },
      cgv: `<p>
            Objet <br />
            Lorem Lorem ipsum, dolor sit amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,<br />
            Lorem ipsum, dolor sit amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,<br />
            Lorem ipsum, dolor sit amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,<br />
            Lorem ipsum, dolor sit amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,<br />
            Lorem ipsum, dolor sit amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,<br />
            Lorem ipsum, dolor sit amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,<br />
            Lorem ipsum, dolor sit amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,<br />
            Lorem ipsum, dolor sit amet consectetur adipisicing elit.Lorem
            ipsum, dolor sit amet consectetur adipisicing elit.Lorem ipsum,
            dolor sit amet consectetur adipisicing elit.Lorem ipsum, dolor sit
            amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,<br />
            Lorem ipsum, dolor sit amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,<br />
            Lorem ipsum, dolor sit amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,<br />
            Lorem ipsum, dolor sit amet consectetur adipisicing elit.
            <br />Officiis eligendi, rerum perferendis laborum nobis quia
            dolo<br />r eum iusto saepe maiores culpa at veniam repellat vel!
            Nost<br />rum soluta perferendis eveniet quibusdam! Lorem ipsum
            dolor, sit <br />amet consectetur, adipisicing elit. Maxime
            laboriosam earum,
          </p>`,
    }
  },
  methods: {},
}
</script>
